Run of multiarch-fixes for node-decamelize

Try this locally (using the lintian-brush package):

debcheckout node-decamelize
cd node-decamelize
apply-multiarch-hints
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
[2021-05-09 00:01:37] Running ['apply-multiarch-hints']
[2021-05-09 00:01:38] Downloading new version of multi-arch hints.
[2021-05-09 00:01:41] Opening branch at https://salsa.debian.org/js-team/node-decamelize.git/,branch=master
[2021-05-09 00:01:42] Cached branch URL https://janitor.debian.net/git/node-decamelize,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/node-decamelize/".
[2021-05-09 00:01:43] Total 297 (delta 12), reused 0 (delta 0), pack-reused 272
[2021-05-09 00:01:44] Total 142 (delta 34), reused 120 (delta 13), pack-reused 0
[2021-05-09 00:01:44] Total 146 (delta 30), reused 30 (delta 30), pack-reused 116
[2021-05-09 00:01:44] Workspace ready - starting.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 484, in sign
    self.op_sign(data, signeddata, mode)
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 158, in wrapper
    return _funcwrap(self, *args)
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 141, in _funcwrap
    return errorcheck(result, name)
  File "/usr/lib/python3/dist-packages/gpg/errors.py", line 129, in errorcheck
    raise GPGMEError(retval, extradata)
gpg.errors.GPGMEError: gpgme_op_sign: GPGME: Unusable secret key

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/breezy/breezy/gpg.py", line 246, in sign
    output, result = self.context.sign(
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 489, in sign
    raise errors.InvalidSigners(
gpg.errors.InvalidSigners: None: No secret key

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/pull_worker.py", line 213, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 783, in process_package
    changer_result = build_target.make_changes(
  File "/code/janitor/worker.py", line 462, in make_changes
    return self.changer.make_changes(
  File "/code/silver-platter/silver_platter/debian/multiarch.py", line 140, in make_changes
    result, summary = run_lintian_fixer(
  File "/code/lintian-brush/lintian_brush/__init__.py", line 1062, in run_lintian_fixer
    revid = local_tree.commit(
  File "/code/breezy/breezy/mutabletree.py", line 167, in commit
    committed_id = commit.Commit().commit(working_tree=self,
  File "/code/breezy/breezy/commit.py", line 425, in commit
    self.rev_id = self.builder.commit(self.message)
  File "/code/breezy/breezy/git/commit.py", line 224, in commit
    c.gpgsig = strategy.sign(c.as_raw_string(), gpg.MODE_DETACH)
  File "/code/breezy/breezy/gpg.py", line 255, in sign
    raise SigningFailed(str(error))
breezy.gpg.SigningFailed: Failed to GPG sign data: "None: No secret key"

Full worker log